Range-v3 Range algorithms, views, and actions for the Standard Library |

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Types | List of all members
ranges::v3::meta::uncurry< F > Struct Template Reference
Metaprogramming

## Description

### template<typename F>
struct ranges::v3::meta::uncurry< F >

A Metafunction Class that takes a type list, unpacks the types, and then calls the Metafunction Class `F` with types.

## Public Types
template<typename T >
using | apply = eval< lazy_apply_list< F, T >>